/* ==================================================
 صفحه فروشگاه
================================================== */

/* ==================================================
 نمایش فروشگاه
================================================== */
/******* woo-archive *******/
.woocommerce .products ul::after,
.woocommerce .products ul::before {
    content: none;
}

ul.products {
    display: flex;
    justify-content: center;
}

ul.woo-archive {
    max-width: 1440px;
    display: grid;
    align-items: stretch;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    margin: auto;
    gap: 20px;
}

/******* ریسپانسو *******/
@media screen and (max-width: 1439px) {
    ul.woo-archive {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

@media screen and (max-width: 1199px) {
    ul.woo-archive {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 30px;
    }
}

@media screen and (max-width: 991px) {
    ul.woo-archive {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width: 680px) {
    ul.woo-archive {
        max-width: 350px;
        grid-template-columns: 1fr;
    }
}

/* ==================================================
 نام دسته و مسیر راهنما
================================================== */
/******* name-breadcrumb *******/
.name-breadcrumb {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-right: 50px;
    margin-bottom: 15px;
    margin-top: -30px;
}

.name-breadcrumb h1 {
    background: none;
    border: 0;
    margin-bottom: -5px;
}

/******* ریسپانسو *******/
@media screen and (max-width: 768px) {
    .name-breadcrumb {
        padding: 0;
    }

    .name-breadcrumb h1 {
        text-align: center;
    }
}

/* ==================================================
 شمارش صفحات 
================================================== */
/******* pagination *******/

/* reset کامل li */
nav.woocommerce-pagination ul.page-numbers li {
    border: 0 !important;
}

/* باکس یکسان برای a و span */
nav.woocommerce-pagination ul.page-numbers li a,
nav.woocommerce-pagination ul.page-numbers li span {
    display: inline-flex !important;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    font-size: 20px;
}


.woocommerce nav.woocommerce-pagination ul {
    display: flex!important;
    align-items: center!important;
    justify-content: center!important;
    flex-wrap: wrap!important;
    border: 0!important;
    gap: 7px!important;
    margin: 50px 0;
}

nav.woocommerce-pagination a.page-numbers {
    background: var(--BG-A)!important;
    color: var(--A)!important;
    border-radius: 50%!important;
    text-align: center!important;
}

nav.woocommerce-pagination a.page-numbers:hover {
    background: var(--H)!important;
    color: white!important;
}

nav.woocommerce-pagination .page-numbers.current {
    background: var(--C)!important;
    color: var(--A)!important;
    border-radius: 50%!important;
    font-size: 30px;
}

nav.woocommerce-pagination a.next,
nav.woocommerce-pagination a.prev {
    background: var(--BG-A)!important;
    color: var(--A)!important;
}

